Name:           telepathy-logger
Version:        0.2.8
Release:        1%{?dist}
Summary:        Telepathy framework logging daemon

Group:          Applications/Communications
License:        LGPLv2+ 
URL:            http://telepathy.freedesktop.org/wiki/Logger
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  dbus-devel >= 1.1.0
BuildRequires:  dbus-glib-devel >= 0.82
BuildRequires:  telepathy-glib-devel >= 0.14.0
BuildRequires:  glib2-devel >= 2.25.11
BuildRequires:  sqlite-devel
BuildRequires:  libxml2-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:  gobject-introspection-devel
## Build Requires needed for tests.
#BuildRequires:	python
#BuildRequires:	python-twisted

Requires:       telepathy-filesystem

%description
%{name} is a headless Observer client that logs information
received by the Telepathy framework. It features pluggable
backends to log different sorts of messages, in different formats.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


#%check
#make check


%build
%configure --disable-static --enable-introspection=yes
#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig


%postun
/sbin/ldconfig
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas ||:


%posttrans
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas ||:


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_libexecdir}/%{name}
%{_libdir}/libtelepathy-logger*.so.*
%{_datadir}/glib-2.0/schemas/org.freedesktop.Telepathy.Logger.gschema.xml
%{_datadir}/telepathy/clients/Logger.client
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Logger.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Logger.service
%{_libdir}/girepository-1.0/TelepathyLogger-0.2.typelib


%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libtelepathy-logger.so
%{_libdir}/pkgconfig/%{name}*.pc
%dir %{_includedir}/telepathy-logger-0.2
%{_includedir}/telepathy-logger-0.2/%{name}/
%{_datadir}/gir-1.0/TelepathyLogger-0.2.gir


%changelog
* Thu Mar 31 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.2.8-1
- Update to 0.2.8.
- Bump minimum version of tp-glib needed.
- Drop infinite loop patch. Fixed upstream.

* Wed Mar 30 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.2.7-2
- Backport patch from upstream git for a change that wasn't included with original
  tarball. Refer to http://lists.freedesktop.org/archives/telepathy/2011-March/005381.html

* Fri Mar 25 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.2.7-1
- Update to 0.2.7.

* Tue Mar 22 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.2.6-1
- Update to 0.2.6.
- Enable gobject-introspection.

* Tue Mar  8 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.2.5-1
- Update to 0.2.5.

* Tue Mar  1 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.2.4-1
- Update to 0.2.4.

* Mon Feb 28 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3.

* Mon Feb 28 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2.

* Thu Feb 24 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1.

* Thu Feb 24 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 29 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7.

* Wed Oct 13 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.6-1
- Update to 0.1.6.

* Mon Aug 16 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5.
- Modify spec for change from GConf to gsettings.
- Add BR on intltool.

* Fri Jul  9 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.4-1
- Update to 0.1.4.

* Wed Jul  7 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-2
- Remove unnecessary buildroot info.
- Remove rpath.

* Mon Jun 28 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-1
- Initial Fedora spec file.
